Page MenuHomePhabricator

tests/efl_ui: begin some gesture unit tests
ClosedPublic

Authored by zmike on Jan 6 2020, 11:30 AM.

Details

Summary

adds basic testing for taps and flick

Depends on D11028

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 6 2020, 11:30 AM
zmike requested review of this revision.Jan 6 2020, 11:30 AM
zmike updated this revision to Diff 28129.Jan 13 2020, 12:12 PM
zmike edited the summary of this revision. (Show Details)

rebase

zmike updated this revision to Diff 28255.Jan 17 2020, 7:41 AM
zmike added a reviewer: CHAN.

update

zmike updated this revision to Diff 28332.Jan 21 2020, 11:55 AM

rebase/update

zmike updated this revision to Diff 28378.Jan 22 2020, 6:35 AM

remove off-canvas blocking

zmike updated this revision to Diff 28429.Jan 23 2020, 12:23 PM

rework/rebase

Looks good to me beside the commented out code...

src/tests/elementary/efl_ui_test_gesture.c
18

Can you remove this?

zmike added inline comments.Jan 27 2020, 7:19 AM
src/tests/elementary/efl_ui_test_gesture.c
18

I'd rather not since it's useful to have a reference directly in the file

zmike updated this revision to Diff 28650.Jan 29 2020, 11:19 AM

rebase/rework

This revision was not accepted when it landed; it landed in state Needs Review.Jan 30 2020, 8:11 AM
Closed by commit rEFL18e9bc9a9fa5: tests/efl_ui: begin some gesture unit tests (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.